/*
	File:		DebugUtils.h

	Contains:	Helpful debugging macros.
				
	Written by:	Jim Reekes

	Copyright:	 1993-94 by Apple Computer, Inc.
	
	Change History (most recent first):
	
*/

//-----------------------------------------------------------------------

#ifndef _DEBUGUTILS_
#define _DEBUGUTILS_

#include <Types.h>

#include "CompileFlags.h"

//-----------------------------------------------------------------------
// Macros

#ifdef DEBUG_IT
#define FailMessage(cond, s)								\
	if (cond) {												\
		DebugStr ((ConstStr255Param)"\p"#s);				\
	}														
#else
#define FailMessage(cond, s)								\
	((void)	0)
#endif DEBUG_IT

#ifdef DEBUG_IT
#define DebugMessage(s)			DebugStr ((ConstStr255Param)"\p"#s)
#else
#define DebugMessage(s)			((void)	0)
#endif DEBUG_IT

//-----------------------------------------------------------------------

#endif _DEBUGUTILS_

//-----------------------------------------------------------------------

